version: 2
updates:
  - package-ecosystem: "pip"
    directory: "/"
    schedule:
      interval: "weekly"
    open-pull-requests-limit: 5
    ignore:
      - dependency-name: "opentelemetry*"
      - dependency-name: "thrift"
      - dependency-name: "glib*"
      - dependency-name: "ml-dsa"
      - dependency-name: "rand"
      - dependency-name: "time"

  - package-ecosystem: "cargo"
    directory: "/"
    schedule:
      interval: "monthly"
    open-pull-requests-limit: 0
    ignore:
      - dependency-name: "*"

  - package-ecosystem: "npm"
    directory: "/"
    schedule:
      interval: "monthly"
    open-pull-requests-limit: 0
    ignore:
      - dependency-name: "*"
